.btn {
    color: $white;
    outline: none;
    cursor: pointer;
    font-weight: 500;
    height: rem(48);
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(6) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border: 1px solid $blue;
    background: $blue;
    border-radius: 8px;
    fill: $white;

    &:hover {
        color: $blue;
        background: transparent;
        text-decoration: none;
        fill: $blue;
    }

    &:active {
        color: $white;
        background: $blue;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(32);
    }

    span + i {
        margin-left: rem(12);
    }

    i + span {
        margin-left: rem(12);
    }
}

.btn-border {
    color: $blue;
    background: transparent;

    &:hover {
        fill: $white;
        color: $white;
        background: $blue;
    }

    &:active {
        color: $border-radius;
        background: transparent;;
    }
}

.btn-text {
    height: rem(18);
    color: #393939;
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(28);
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: rem(6) rem(12);

    &:hover {
        color: $blue;
        text-decoration: none;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &:active {
        color: #393939;
    }
}

.btn-light {
    background: #79BDFC;

    &:hover {
        color: $blue;
        background: $white;
    }
}

.btn-sm {
    height: rem(40);
    font-family: $font-family-third;
}

.btn-md {
    height: rem(60);
    font-size: rem(18);
}
